Package org.drinkless.tdlib

# Class TdApi.SavedMessagesTopic

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.SavedMessagesTopic

Enclosing class:
  `TdApi`

public static class TdApi.SavedMessagesTopic extends TdApi.Object
Contains information about a Saved Messages topic.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.DraftMessage`
  `draftMessage`
  A draft of a message in the topic; may be null if none.
  `long`
  `id`
  Unique topic identifier.
  `boolean`
  `isPinned`
  True, if the topic is pinned.
  `TdApi.Message`
  `lastMessage`
  Last message in the topic; may be null if none or unknown.
  `long`
  `order`
  A parameter used to determine order of the topic in the topic list.
  `TdApi.SavedMessagesTopicType`
  `type`
  Type of the topic.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SavedMessagesTopic()`
  Contains information about a Saved Messages topic.
  `SavedMessagesTopic(long id, TdApi.SavedMessagesTopicType type, boolean isPinned, long order, TdApi.Message lastMessage, TdApi.DraftMessage draftMessage)`
  Contains information about a Saved Messages topic.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Unique topic identifier.

  - ### type

    public TdApi.SavedMessagesTopicType type
    Type of the topic.

  - ### isPinned

    public boolean isPinned
    True, if the topic is pinned.

  - ### order

    public long order
    A parameter used to determine order of the topic in the topic list. Topics must be sorted by the order in descending order.

  - ### lastMessage

    @Nullable public TdApi.Message lastMessage
    Last message in the topic; may be null if none or unknown.

  - ### draftMessage

    @Nullable public TdApi.DraftMessage draftMessage
    A draft of a message in the topic; may be null if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SavedMessagesTopic

    public SavedMessagesTopic()
    Contains information about a Saved Messages topic.

  - ### SavedMessagesTopic

    public SavedMessagesTopic(long id, TdApi.SavedMessagesTopicType type, boolean isPinned, long order, TdApi.Message lastMessage, TdApi.DraftMessage draftMessage)
    Contains information about a Saved Messages topic.
    Parameters:
      `id` - Unique topic identifier.
      `type` - Type of the topic.
      `isPinned` - True, if the topic is pinned.
      `order` - A parameter used to determine order of the topic in the topic list. Topics must be sorted by the order in descending order.
      `lastMessage` - Last message in the topic; may be null if none or unknown.
      `draftMessage` - A draft of a message in the topic; may be null if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR